home *** CD-ROM | disk | FTP | other *** search
/ Black Box 4 / BlackBox.cdr / autocad / txtcase.arj / CASE.LSP
Lisp/Scheme  |  1991-06-03  |  1KB  |  34 lines

  1. (defun c:case (/ e ee txt ap pb)
  2.    (setq ap (getvar "aperture"))
  3.    (setq pb (getvar "pickbox"))
  4.    (setvar "aperture" 10)
  5.    (setvar "pickbox" 10)
  6.    (prompt "\n****** TeXt CaSe CoNvErSiOn by CADD Masters ******")
  7.    (prompt "\nTo convert only the first letter set object snap to INSERT before selecting.")
  8.    (setq ee (entsel "\nSelect text: "))
  9.    (while ee
  10.        (setq e (entget (car ee)))
  11.        (if (= (cdr (assoc 0 e)) "TEXT")
  12.            (progn
  13.                (setq txt (cdr (assoc 1 e)))
  14.                (if (equal (cadr ee) (cdr (assoc 10 e)))
  15.                    (if (<= (ascii (substr txt 1 1)) 90)
  16.                        (setq txt (strcat (strcase (substr txt 1 1) t) (substr txt 2)))
  17.                        (setq txt (strcat (strcase (substr txt 1 1)) (substr txt 2)))
  18.                    )
  19.                    (if (<= (ascii (substr txt 1 1)) 90)
  20.                        (setq txt (strcase txt t))
  21.                        (setq txt (strcase txt))
  22.                    )
  23.                )
  24.                (setq e (subst (cons 1 txt) (assoc 1 e) e))
  25.                (entmod e)
  26.            )
  27.        )
  28.        (setq ee (entsel "\nSelect text: "))
  29.    )
  30.    (setvar "aperture" ap)
  31.    (setvar "pickbox" pb)
  32.    (prin1)
  33. )
  34.